Summary: MicroWindows - a simple framebuffer-based GUI
Name: microwindows
Version: 0.91
Release: 1
License: GPL
Group: System Environment/Libraries
Source0: microwindows-src-0.91.tar.gz
Patch0:  microwindows-0.91-noroot.patch
Patch1: microwindows-0.90-bugfix.ppc.patch
Patch2: microwindows-0.91-config.ppc.patch
Patch21: microwindows-0.91-config.mips.patch
Patch22: microwindows-0.91-config.arm.patch
Patch23: microwindows-0.91-config.little_endian.patch
Patch3: microwindows-0.90_thick_lines.patch
Patch4: microwindows-0.91-stretch.patch 
Patch5: microwindows-0.91-tsc2000.patch 
Patch6: microwindows-0.91-config-fonts.patch
Patch7: microwindows-0.90-mtest-fix.patch
Patch8: microwindows-0.90-linewidth.patch
Patch9: microwindows-0.91-shared-libs.patch
Patch10: microwindows-0.90-portrait.patch
Patch11: microwindows-0.90_restrict_mouse.patch
Patch12: microwindows-0.91-gcc4.patch
Patch13: microwindows-0.91-zlib.patch
Patch14: microwindows-0.91-ft2.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://microwindows.org

%define BINS  malpha mdemo mine mterm mtest mtest2 muserfd mstretch nanowm nxterm nxterm.ppm

%description
The MicroWindows package is a simple framebuffer-based GUI.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
#%patch1 -p1

%ifarch ppc ppc64
%patch2 -p1
%endif

%ifarch mips
%patch21 -p1
%endif

%ifarch arm
%patch22 -p1
%endif

if [ `echo %{_realtargetcpu} | grep "le"` ]; then
%patch23 -p1 
fi

%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p3
%patch13 -p1
%patch14 -p1


%build
# Microwindows has its own use of ARCH variable
if [ "$ARCH" ]; then
  unset ARCH
fi
cd src
sed -e "s#INCPNG.*#INCPNG = %{_runtimeprefix}/%{_targetpath}/usr/include/libpng12#" config > _tmp
mv _tmp config

sed -e "s#INCFT2LIB.*#INCFT2LIB = %{_runtimeprefix}/%{_targetpath}/usr/include/freetype2#" config > _tmp
mv _tmp config

HOSTCC="/usr/bin/gcc -B/usr/bin/" make -e
make


%install
cd src
rm -rf -- "$RPM_BUILD_ROOT"
mkdir -p -- "$RPM_BUILD_ROOT/usr/bin"
make INSTALL_PREFIX="$RPM_BUILD_ROOT/usr" install

for i in %{BINS}
  do
    install -c -m 755 -- "bin/$i" "$RPM_BUILD_ROOT/usr/bin/$i"
  done


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/include/microwin/*
/usr/bin/*
/usr/lib/*
